package com.ramos.munoz.tesis;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

public class ServicioLogin extends Service {
    private static AutenticadorLogin sAccountAuthenticator = null;

    @Override
    public IBinder onBind(Intent intent) {
	IBinder ret = null;
	if (intent.getAction().equals(android.accounts.AccountManager.ACTION_AUTHENTICATOR_INTENT)) ret = getAuthenticator().getIBinder();
	return ret;
    }

    private AutenticadorLogin getAuthenticator() {
	if (sAccountAuthenticator == null) sAccountAuthenticator = new AutenticadorLogin(this);
	return sAccountAuthenticator;
    }
}
